// パララックス
document.addEventListener('DOMContentLoaded', function() {
  const elems = document.querySelectorAll('.parallax');
  const instances = M.Parallax.init(elems, {
  });
});

// サイドナビ
document.addEventListener('DOMContentLoaded', function() {
  const elems = document.querySelectorAll('.sidenav');
  const instances = M.Sidenav.init(elems, {
  });
});

// トップへ戻る
const scroll_to_top_btn = document.getElementById('scrolltop');

scroll_to_top_btn.addEventListener('click', () => {
  window.scrollTo({ top: 0, behavior: 'smooth' });
});

window.addEventListener('scroll', () => {
  scroll_to_top_btn.style.display = window.scrollY > 400 ? 'block' : 'none';
});
